Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::dangling< I > Struct Template Reference
Core

## Description

### template<typename I>
struct ranges::v3::dangling< I >

A wrapper for an iterator or a sentinel into a range that may no longer be valid.

## Public Member Functions
constexpr | dangling (I it)
| Implicit converting constructor.
constexpr I | get_unsafe () const

## Member Function Documentation

## ◆ get_unsafe()

template<typename I >

constexpr I ranges::v3::dangling< I >::get_unsafe | ( |  | ) | const

Returns
  The iterator from which this `dangling` object was constructed.

Note
  The returned iterator may be invalid.

Precondition
  - Either the range from which the iterator was obtained has not been destructed yet, or else the range's iterators are permitted to outlive the range, and
  - No operation that invalidates the iterator has been performed.